Skip to main content
PATCH
Update card transaction line

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <api_key>, where <api_key> is your api key.

Path Parameters

transactionId
string<uuid>
required
transactionLineId
string<uuid>
required

Body

application/json;charset=UTF-8
customProperties
(object | null)[] | null

List of custom properties to set on the vendor. Replaces the existing set.

accountId
string<uuid> | null
taxCodeId
string<uuid> | null
costCenterId
string<uuid> | null
amount
integer<int64> | null
description
string | null
amortizationTemplateId
string<uuid> | null
amortizationStartDate
string<date> | null
amortizationEndDate
string<date> | null

Response

default - application/json;charset=UTF-8

default response

id
string<uuid>
transactionId
string<uuid>
companyId
string<uuid>
accountId
string<uuid>
taxCodeId
string<uuid>
costCenterId
string<uuid>
amount
integer<int64>
netAmount
integer<int64>
taxAmount
integer<int64>
description
string
createdAt
string<date-time>
updatedAt
string<date-time>
customProperties
(object | null)[]

Custom properties set on the vendor.

amortizationTemplateId
string<uuid>
amortizationStartDate
string<date>
amortizationEndDate
string<date>